Open CASCADE Technology: Storage_HeaderData Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Storage_HeaderData Class Reference

`#include <Storage_HeaderData.hxx>`

Inheritance diagram for Storage_HeaderData:
[legend]

## Public Member Functions
| Storage_HeaderData ()
TCollection_AsciiString | CreationDate () const
| return the creation date More...
TCollection_AsciiString | StorageVersion () const
| return the Storage package version More...
TCollection_AsciiString | SchemaVersion () const
| get the version of the schema More...
TCollection_AsciiString | SchemaName () const
| get the schema's name More...
void | SetApplicationVersion (const TCollection_AsciiString &aVersion)
| set the version of the application More...
TCollection_AsciiString | ApplicationVersion () const
| get the version of the application More...
void | SetApplicationName (const TCollection_ExtendedString &aName)
| set the name of the application More...
TCollection_ExtendedString | ApplicationName () const
| get the name of the application More...
void | SetDataType (const TCollection_ExtendedString &aType)
| set the data type More...
TCollection_ExtendedString | DataType () const
| returns data type More...
void | AddToUserInfo (const TCollection_AsciiString &theUserInfo)
| add <theUserInfo> to the user informations More...
const TColStd_SequenceOfAsciiString & | UserInfo () const
| return the user informations More...
void | AddToComments (const TCollection_ExtendedString &aComment)
| add <theUserInfo> to the user informations More...
const TColStd_SequenceOfExtendedString & | Comments () const
| return the user informations More...
Standard_Integer | NumberOfObjects () const
| the the number of persistent objects Return: the number of persistent objects readed More...
Storage_Error | ErrorStatus () const
TCollection_AsciiString | ErrorStatusExtension () const
void | ClearErrorStatus ()
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Constructor & Destructor Documentation

Storage_HeaderData::Storage_HeaderData | ( |  | ) |

## Member Function Documentation

void Storage_HeaderData::AddToComments | ( | const TCollection_ExtendedString & | aComment | ) |

add <theUserInfo> to the user informations

void Storage_HeaderData::AddToUserInfo | ( | const TCollection_AsciiString & | theUserInfo | ) |

add <theUserInfo> to the user informations

TCollection_ExtendedString Storage_HeaderData::ApplicationName | ( |  | ) | const

get the name of the application

TCollection_AsciiString Storage_HeaderData::ApplicationVersion | ( |  | ) | const

get the version of the application

void Storage_HeaderData::ClearErrorStatus | ( |  | ) |

const TColStd_SequenceOfExtendedString& Storage_HeaderData::Comments | ( |  | ) | const

return the user informations

TCollection_AsciiString Storage_HeaderData::CreationDate | ( |  | ) | const

return the creation date

TCollection_ExtendedString Storage_HeaderData::DataType | ( |  | ) | const

returns data type

Storage_Error Storage_HeaderData::ErrorStatus | ( |  | ) | const

TCollection_AsciiString Storage_HeaderData::ErrorStatusExtension | ( |  | ) | const

Standard_Integer Storage_HeaderData::NumberOfObjects | ( |  | ) | const

the the number of persistent objects Return: the number of persistent objects readed

TCollection_AsciiString Storage_HeaderData::SchemaName | ( |  | ) | const

get the schema's name

TCollection_AsciiString Storage_HeaderData::SchemaVersion | ( |  | ) | const

get the version of the schema

void Storage_HeaderData::SetApplicationName | ( | const TCollection_ExtendedString & | aName | ) |

set the name of the application

void Storage_HeaderData::SetApplicationVersion | ( | const TCollection_AsciiString & | aVersion | ) |

set the version of the application

void Storage_HeaderData::SetDataType | ( | const TCollection_ExtendedString & | aType | ) |

set the data type

TCollection_AsciiString Storage_HeaderData::StorageVersion | ( |  | ) | const

return the Storage package version

const TColStd_SequenceOfAsciiString& Storage_HeaderData::UserInfo | ( |  | ) | const

return the user informations

The documentation for this class was generated from the following file:

- Storage_HeaderData.hxx